%h3.page-title= @milestone.new_record? ? t("projects_section.milestones.new_milestone") : "#{t('projects_section.milestones.edit_milestone')} ##{@milestone.iid}"
.back-link
  = link_to project_milestones_path(@project) do
    &larr;
    = t("projects_section.milestones.to_milestones")

%hr

= form_for [@project, @milestone], html: {class: "new_milestone form-horizontal"}  do |f|
  -if @milestone.errors.any?
    .alert.alert-danger
      %ul
        - @milestone.errors.full_messages.each do |msg|
          %li= msg
  .row
    .col-md-6
      .form-group
        = f.label :title, t("projects_section.milestones.title"), class: "control-label"
        .col-sm-10
          = f.text_field :title, maxlength: 255, class: "form-control"
          %p.hint= t("projects_section.milestones.required")
      .form-group
        = f.label :description, t("projects_section.milestones.description"), class: "control-label"
        .col-sm-10
          = f.text_area :description, maxlength: 2000, class: "form-control markdown-area", rows: 10
          .hint
            .pull-left
              = t("projects_section.milestones.milestones_are_parsed_with")
              = link_to(t("projects_section.milestones.gitlab_flavored_markdown"), help_page_path("markdown", "markdown"), target: '_blank') + "."
            .pull-left
              = t("projects_section.milestones.attach_images")
              (JPG, PNG, GIF)
              = t("projects_section.milestones.by_drag_and_drop")
              = link_to(t("projects_section.milestones.selecting_them"), '#', class: 'markdown-selector') + "."
          .clearfix
          .error-alert
    .col-md-6
      .form-group
        = f.label :due_date, t("projects_section.milestones.due_date"), class: "control-label"
        .col-sm-10= f.hidden_field :due_date
        .col-sm-10
          .datepicker

  .form-actions
    - if @milestone.new_record?
      = f.submit t("projects_section.milestones.create_milestone"), class: "btn-create btn"
      = link_to t("projects_section.milestones.cancel"), project_milestones_path(@project), class: "btn btn-cancel"
    -else
      = f.submit t("projects_section.milestones.save_changes"), class: "btn-save btn"
      = link_to t("projects_section.milestones.cancel"), project_milestone_path(@project, @milestone), class: "btn btn-cancel"


:javascript
  disableButtonIfEmptyField("#milestone_title", ".btn-save");
  $( ".datepicker" ).datepicker({
    dateFormat: "yy-mm-dd",
    onSelect: function(dateText, inst) { $("#milestone_due_date").val(dateText) }
  }).datepicker("setDate", $.datepicker.parseDate('yy-mm-dd', $('#milestone_due_date').val()));

  window.project_image_path_upload = "#{upload_image_project_path @project}";
